=== debian/changelog ===
hexer (0.1.5-3) unstable; urgency=low

  * Fix the FTBFS on GNU/kFreeBSD.
  * Convert several shell output assignments from = to :=
  * Switch to bzip2 compression for the Debian tarball.
  * Switch to Git and point the Vcs-* fields to Gitorious.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 16 Oct 2010 15:45:53 +0300

hexer (0.1.5-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 with no changes.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to get the default values for
    CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file to the latest DEP 5 format and bump the year
    on my copyright notice.
  * Shorten the Vcs-Browser URL.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 27 Jul 2010 13:00:19 +0300

hexer (0.1.5-1) unstable; urgency=low

  * New upstream release:
    - I adopted the upstream package, too
    - all the patches were integrated upstream
    - the installation directories need to be passed in the environment
    - lots of cleanup
    - fix a crash due to abuse of the v*printf() routines (Closes: #540571)
  * No longer use quilt, drop the README.source file.
  * Add a Homepage field now that I'm providing one :)
  * Use the build hardening wrapper if the "hardening" option is enabled.
  * Bump Standards-Version to 3.8.3 with no changes.
  * Point the watch file and the copyright file to the new upstream page.
  * Update the copyright file.
  * Use the DEP 5 format for the copyright file header.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 04 Sep 2009 14:46:46 +0300

hexer (0.1.4c-3) unstable; urgency=low

  * New maintainer.  Closes: #520635
  * Use quilt for patch management.
  * Drop the README patch; with all due respect to Peter Mathiasson,
    in my humble opinion this information is addressed to developers,
    not end-users, and thus belongs right here, in the Debian changelog
    instead.
  * Add a watch file.
  * Fix up the manual page a bit:
    - use .\" instead of ./" for comments
    - properly use hyphens instead of minus-signs
  * Flesh out the long description with a list of hexer features.
  * Unbreak the "comment" and "argument" words in the help text to
    avoid spellcheck warnings from lintian.
  * Add the Vcs-Svn and Vcs-Browser fields.
  * Bump the debhelper compatibility version to 7:
    - add misc:Depends to the binary package
    - minimize the rules file
  * Bump Standards-Version to 3.8.1:
    - replace Apps with Applications in the menu section
    - honor the "nostrip" build option; Closes: #437160
    - override the compiler program and flags so the "noopt" build option
      is also honored
    - add the README.source file mentioning the use of quilt
  * Convert the copyright file to the machine-parseable format and
    add my copyright notice on the Debian packaging.
  * Build with -Werror if "werror" is specified in DEB_BUILD_OPTIONS.
  * Fix some compiler warnings.
  * Quote the "needs" and "section" menu file fields and install the file.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 03 Apr 2009 14:10:28 +0300

hexer (0.1.4c-2) unstable; urgency=low

  * Removed use of obsoleted symbols sys_errlist and sys_nerr.
  * Fixed bug in bin2c; getopt returns an int, not a char.

 -- Peter Mathiasson <peterm@debian.org>  Thu, 19 Jun 2003 09:48:34 +0200

hexer (0.1.4c-1) unstable; urgency=low

  * Initial Release.

 -- Peter Mathiasson <peterm@debian.org>  Mon,  9 Jun 2003 12:42:29 +0200
