=== debian/control ===
Source: hexer
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7~), hardening-wrapper,
	libncurses5-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Homepage: http://devel.ringlet.net/editors/hexer/
Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
Vcs-Browser: http://gitorious.org/hexer/pkg-debian

Package: hexer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An interactive binary editor with a Vi-like interface
 Hexer is an interactive binary editor (also known as a hexeditor)
 with a Vi-like interface.  Its most important features are
 multiple buffers, multi-level undo, command-line editing with
 completion, and binary regular expressions.
