=== debian/changelog ===
hexer (0.1.6-2) unstable; urgency=low

  * Update the copyright file to the latest DEP 5 candidate format and
    bump the year on my copyright notice.
  * Remove the leading article from the short description.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 15:13:25 +0200

hexer (0.1.6-1) experimental; urgency=low

  * New upstream release.
  * Use build hardening by default unless the "nohardening" build option
    is specified, and use hardening-includes instead of the hardening-wrapper
    so the hardened flags are visible in CFLAGS and LDFLAGS.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 29 Dec 2010 13:24:19 +0200
