=== debian/changelog ===
hexer (0.1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Thibaut Girka ]
  * debian/patches/negative_size.patch:
    - Fix crash when attempting to delete an half-byte while in insert
      or replace mode (Closes: #655470).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Aug 2012 20:28:16 +0200

hexer (0.1.7-1) unstable; urgency=low

  * New upstream release:
    - fix searching for octets > 127.  Closes: #633508
  * Depend on the unversioned libncurses-dev virtual package.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format and
    fix the DEP 5 URL after the Alioth migration.
  * Specify Multi-Arch: foreign for the binary package.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 13 Jul 2011 22:55:48 +0300
