=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~),
 	hardening-includes,
-	libncurses5-dev
+	libncurses-dev
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://devel.ringlet.net/editors/hexer/
 Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
 Vcs-Browser: http://gitorious.org/hexer/pkg-debian
 
 Package: hexer
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: interactive binary editor with a Vi-like interface
  Hexer is an interactive binary editor (also known as a hexeditor)
