=== debian/watch ===
version=3
http://devel.ringlet.net/editors/hexer/ hexer-([\w\d.]+)\.tar\.gz
