## hexer 0.1.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.1.7
+#  Makefile for hexer version 0.1.8
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -30,18 +30,17 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-DEFINES = -DHEXER_VERSION=\"0.1.7\"
+CPPFLAGS += -DHEXER_VERSION=\"0.1.8\"
 
 #  -- Which compiler? --
 CC ?= cc
 CFLAGS ?= -O
-CFLAGS += $(DEFINES)
 LDFLAGS ?=
 LDLIBS = $(LTERMCAP) -lm
 #
 #  Uncomment the following lines if you want to use the GNU compiler.
 #CC = gcc
-#CFLAGS = -O6 $(DEFINES)
+#CFLAGS = -O6
 #LDFALGS =
 #LDLIBS = $(LTERMCAP)
 
@@ -54,6 +53,8 @@
 #INSTALL = cp
 #INSTALLBIN = $(INSTALL)
 #INSTALLMAN = $(INSTALL)
+
+MKDIR ?= mkdir -p
 
 ###  It shouldn't be necessary to change anything below this line.
 
@@ -79,10 +80,10 @@
 	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
 
 $(MYC): calc.c
-	$(CC) $(LDFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
+	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
 
 bin2c: bin2c.c
-	$(CC) $(CFLAGS) -o $@ bin2c.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ bin2c.c
 
 helptext.c: help.txt bin2c
 	./bin2c -n helptext -o $@ help.txt
@@ -108,8 +109,8 @@
 	-echo >> Makefile~
 	@{ for i in *.c; do \
 	      if [ "$$i" != 'termlib.c' ]; then \
-	      echo $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i '>>' Makefile~; \
-	      $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i >> Makefile~; \
+	      echo $(CC) -MM $(CPPFLAGS) $$i '>>' Makefile~; \
+	      $(CC) -MM $(CPPFLAGS) $$i >> Makefile~; \
 	      fi \
 	    done; }
 	-echo >> Makefile~
@@ -130,6 +131,7 @@
 	rm -f depend
 
 install: all
+	$(MKDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)
 	$(INSTALLBIN) $(HEXER) $(DESTDIR)$(BINDIR)
 	$(INSTALLMAN) $(HEXER).1 $(DESTDIR)$(MANDIR)
 	[ ! -f $(MYC) ] || $(INSTALLBIN) $(MYC) $(DESTDIR)$(BINDIR)
