=== debian/changelog ===
hexer (0.1.8-1) unstable; urgency=medium

  * Acknowledge the NMU; thanks, Thibaut and Luca!
  * Switch to debhelper 9:
    - get the dpkg-buildflags information from debhelper, drop the build
      dependency on dpkg-dev
    - get the hardening flags from debhelper, drop the build dependency
      on hardening-includes
    - append -DBSD to CPPFLAGS, not CFLAGS
  * Add --as-needed to the linker flags so that hexer is not needlessly
    linked against libncurses when it only seems to need libtinfo.
  * Update the copyright file:
    - bring it up to the final version of the 1.0 format specification
    - add the header License field
    - bump my Debian packaging copyright year
  * Remove the obsolete DM-Upload-Allowed source control field.
  * Bump Standards-Version to 3.9.6 with no changes.
  * Do not install the README file; it documents the installation only.
    Thus, drop the debian/docs file.
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Let the watch file look for *.tar.bz2 release tarballs.
  * Add the upstream PGP public key (mine) and let uscan verify the signature.
  * New upstream version:
    - drop the negative_size patch, applied upstream
    - drop the debian/dirs file, directory creation is handled upstream now
    - update the upstream copyright years
  * Add the 01-pager patch to allow the default pager program to be
    overridden at build time and set it to "pager" in debian/rules.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 25 Sep 2014 14:48:11 +0300
