=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~),
-	hardening-includes,
-	libncurses-dev
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 9), libncurses-dev
+Standards-Version: 3.9.6
 Homepage: http://devel.ringlet.net/editors/hexer/
 Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
 Vcs-Browser: http://gitorious.org/hexer/pkg-debian
