## hexer 0.2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.1.8
+#  Makefile for hexer version 0.2.3
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014, 2015 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -28,9 +28,12 @@
 #LTERMLIB = termlib.o
 #LTERMCAP =
 
+CPPFLAGS_STD ?= -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 \
+		-D_FILE_OFFSET_BITS=64
+
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += -DHEXER_VERSION=\"0.1.8\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"0.2.3\"
 
 #  -- Which compiler? --
 CC ?= cc
