=== debian/changelog ===
hexer (0.2.3-1) unstable; urgency=medium

  * Point Vcs-Git and Vcs-Browser at GitLab.
  * New upstream release:
    - fix a FTBFS by using sigemptyset() instead of assigning to
      a sigset_t value directly.  Closes: #788740
    - fix a crash when undoing more than 64 changes at once.
      Closes: #784809
    - drop the 01-pager patch, applied upstream
    - update the upstream copyright years
    - update the upstream copyright notice after fixing a typo
      found by Jakub Wilk <jwilk@debian.org>
    - add -std=c99 to the C compiler flags in debian/rules since
      the upstream source was modernized a bit
  * Bump my Debian packaging notice copyright year and change
    the BSD-3 license name to BSD-3-clause.
  * Build with a whole slew of C compiler warning flags.
  * Add -pipe to the C compiler flags to speed up the build a bit.
  * Add --parallel to the debhelper invocation.
  * Add the debian/upstream/metadata file.
  * Fix the resitribute -> redistribute typo in the copyright file.
    Reported by: Jakub Wilk <jwilk@debian.org>

 -- Peter Pentchev <roam@ringlet.net>  Thu, 10 Dec 2015 22:46:56 +0200
