=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>> 9), libncurses-dev
 Standards-Version: 3.9.6
 Homepage: http://devel.ringlet.net/editors/hexer/
-Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
-Vcs-Browser: http://gitorious.org/hexer/pkg-debian
+Vcs-Git: https://gitlab.com/hexer/pkg-debian.git
+Vcs-Browser: https://gitlab.com/hexer/pkg-debian
 
 Package: hexer
 Architecture: any
