=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
 export DEB_BUILD_MAINT_OPTIONS
 
-DEB_CFLAGS_MAINT_APPEND=
+DEB_CFLAGS_MAINT_APPEND=	-pipe -std=c99 \
+		-Wall -W -std=c99 -pedantic -Wbad-function-cast \
+		-Wcast-align -Wcast-qual -Winline \
+		-Wmissing-prototypes -Wnested-externs \
+		-Wredundant-decls -Wstrict-prototypes -Wwrite-strings
 DEB_CPPFLAGS_MAINT_APPEND=	-DHE_DEFAULT_PAGER=\"pager\"
 export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
@@ -28,4 +32,4 @@
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1
 
 %:
-	dh $@
+	dh $@ --parallel
