=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://devel.ringlet.net/editors/hexer/ hexer-([\w\d.]+)\.tar\.bz2
