## hexer 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.2.3
+#  Makefile for hexer version 1.0.3
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014, 2015 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014 - 2016 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -15,25 +15,18 @@
 #  -- Which terminal library? --
 #  (It's probably save to leave the following lines unchanged.)
 #
-#  Use the following two lines, if you want to use the termcap-library.
-#LTERMLIB ?=
+#  Use the following line if you want to use the termcap library.
 #LTERMCAP ?= -ltermcap
 #
-#  Uncomment these if you want to use curses.
-LTERMLIB ?=
+#  ...or this one if you want to use curses.
 LTERMCAP ?= -lcurses
-#
-#  Uncomment the following two lines if you want to use the termlib code
-#  supplied with the package (not recommended).
-#LTERMLIB = termlib.o
-#LTERMCAP =
 
 CPPFLAGS_STD ?= -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 \
 		-D_FILE_OFFSET_BITS=64
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"0.2.3\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.3\"
 
 #  -- Which compiler? --
 CC ?= cc
@@ -67,22 +60,14 @@
 CTAGS = ctags -tawf tags
 
 OBJECTS = buffer.o tio.o edit.o main.o hexer.o readline.o regex.o port.o \
-          exh.o set.o map.o signal.o util.o commands.o helptext.o calc.o \
-	  $(LTERMLIB)
+          exh.o set.o map.o signal.o util.o commands.o helptext.o calc.o
 
-all: config.check $(HEXER)
-
-config.check:
-	@{  if [ ! -f config.h ]; then \
-	      echo '***' Please read the file README on how to configure and; \
-	      echo '***' compile hexer.\  Thank you.; \
-	      exit 1; \
-	    fi; }
+all: $(HEXER)
 
 $(HEXER): $(OBJECTS)
 	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
 
-$(MYC): calc.c
+$(MYC): calc.c config.h
 	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
 
 bin2c: bin2c.c
@@ -90,6 +75,52 @@
 
 helptext.c: help.txt bin2c
 	./bin2c -n helptext -o $@ help.txt
+
+.c.o:	config.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
+
+%.o:	%.c config.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
+
+config.h:
+	[ ! -e config.h.auto ] || rm config.h.auto
+	echo "/* Autogenerated by Makefile and config-test.c */" > config.h.auto
+	for item in \
+		SIGTYPE_INT	\
+		ALLOCA_H	\
+		VASPRINTF	\
+	    ; do \
+		echo "Testing for $$item"; \
+		if $(CC) $(CPPFLAGS) $(CFLAGS) -D"TEST_$$item" -c -o config-test.o -Werror config-test.c; then \
+			value=1; \
+		else \
+			value=0; \
+		fi; \
+		echo "- result: $$value"; \
+		printf "\\n#define HAVE_%s\\t%d\\n" "$$item" "$$value" >> config.h.auto; \
+	done
+	
+	# These configuration settings are deprecated; hexer expects
+	# a POSIX environment that provides these functions and
+	# header files.  If the build breaks or hexer doesn't run
+	# properly, try moving some of these to the upper section so
+	# the configuration stage can actually check for them; please
+	# also let the author know what your operating system, platform,
+	# and build environment is.
+	#
+	for item in \
+		STRCMP		\
+		STRCASECMP	\
+		MEMMOVE		\
+		FLOAT_H		\
+		STRERROR	\
+	    ; do \
+		echo "Assuming $$item is present"; \
+		printf "\\n/* Assumed; please let the author know if the build breaks */\\n#define HAVE_%s\\t%d\\n" "$$item" 1 >> config.h.auto; \
+	done
+	
+	[ ! -e config.h ] || rm config.h
+	mv config.h.auto config.h
 
 tags: *.c *.h
 	-@{ \
@@ -103,7 +134,7 @@
 
 dep: depend
 
-depend: *.c *.h
+depend: *.c *.h config.h
 	-rm -f Makefile~
 	sed '/\#\#\# DO NOT DELETE THIS LINE \#\#\#/q' \
 	  < Makefile > Makefile~
@@ -111,10 +142,8 @@
 	-echo '#' Dependencies: >> Makefile~
 	-echo >> Makefile~
 	@{ for i in *.c; do \
-	      if [ "$$i" != 'termlib.c' ]; then \
 	      echo $(CC) -MM $(CPPFLAGS) $$i '>>' Makefile~; \
 	      $(CC) -MM $(CPPFLAGS) $$i >> Makefile~; \
-	      fi \
 	    done; }
 	-echo >> Makefile~
 	mv -f Makefile~ Makefile
@@ -122,6 +151,8 @@
 
 clean:
 	rm -f $(HEXER) $(MYC) gen_testfile $(OBJECTS) bin2c
+	rm -f config-test.o
+	rm -f config.h
 	rm -f helptext.c TESTFILE
 	rm -f tags core *.bak
