=== debian/changelog ===
hexer (1.0.3-1) unstable; urgency=medium

  * Point the Vcs-* fields to my full-source GitLab repository.
  * Declare compliance with Debian Policy 3.9.8 with no changes;
    the menu file remains, since hexer has no icon for a desktop file.
  * Use the HTTPS scheme for various upstream and Debian-related URLs.
  * Update the copyright file a bit:
    - bump the year on my debian/* copyright notice
    - reformat all the sections with a single-space indent
    - leave only my contact details as upstream, with many thanks to
      Sascha Demetrio for writing and maintaining hexer over the years!
  * Update the watch file a bit:
    - convert it to format version 4
    - switch back to pgpsigurlmangle; pgpmode=auto will silently fail
      on missing signature files, and pgpmode=next/previous is a bit
      too verbose
    - reflect the new layout of the upstream site
    - use the version 4 substitution variables
  * New upstream release:
    - config.h is autogenerated now, so no configure override
    - strerror(3) should be present on all Debian systems, so no -DBSD
    - update the upstream copyright years
  * Drop a duplicate -std=c99 from the C compiler flags.
  * Handle release candidate versions in the watch file.
  * Drop the handling of the non-standard "werror" build option from
    the rules file.
  * Bump the debhelper compatibility level to 10 and drop the --parallel
    option since it is the default now.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Nov 2016 14:05:51 +0200
