=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 9), libncurses-dev
-Standards-Version: 3.9.6
-Homepage: http://devel.ringlet.net/editors/hexer/
-Vcs-Git: https://gitlab.com/hexer/pkg-debian.git
-Vcs-Browser: https://gitlab.com/hexer/pkg-debian
+Build-Depends: debhelper (>= 10), libncurses-dev
+Standards-Version: 3.9.8
+Homepage: https://devel.ringlet.net/editors/hexer/
+Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian
+Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian
 
 Package: hexer
 Architecture: any
