## hexer 1.0.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 1.0.3
+#  Makefile for hexer version 1.0.4
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014 - 2016 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014 - 2016, 2018 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -26,10 +26,11 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.3\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.4\"
 
 #  -- Which compiler? --
 CC ?= cc
+CC_FOR_BUILD ?= $(CC)
 CFLAGS ?= -O
 LDFLAGS ?=
 LDLIBS = $(LTERMCAP) -lm
@@ -71,7 +72,7 @@
 	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
 
 bin2c: bin2c.c
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ bin2c.c
+	$(CC_FOR_BUILD) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ bin2c.c
 
 helptext.c: help.txt bin2c
 	./bin2c -n helptext -o $@ help.txt
