=== debian/changelog ===
hexer (1.0.4-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Bump the year on my debian/* copyright notice.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Bump the debhelper compatibility level to 11 with no changes and
    use the B-D: debhelper-compat (= 11) mechanism.
  * New upstream version:
    - update the upstream copyright years
    - pass the CC_FOR_BUILD variable to fix the FTCBFS for bin2c.
      Closes: #893958
  * Use my Debian e-mail address.
  * Drop a blank line at the end of the changelog file.

 -- Peter Pentchev <roam@debian.org>  Sun, 03 Jun 2018 01:31:16 +0300
