=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: hexer
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 10), libncurses-dev
-Standards-Version: 3.9.8
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 11), libncurses-dev
+Standards-Version: 4.1.4
 Homepage: https://devel.ringlet.net/editors/hexer/
 Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian
 Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian
+Rules-Requires-Root: no
 
 Package: hexer
 Architecture: any
