=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # debhelper rules file for hexer.
+
+-include /usr/share/dpkg/buildtools.mk
+export CC_FOR_BUILD ?= cc
 
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
