=== debian/changelog ===
hexer (1.0.5-3) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a simple git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Tue, 26 Feb 2019 23:32:06 +0200

hexer (1.0.5-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.

 -- Peter Pentchev <roam@debian.org>  Wed, 26 Dec 2018 01:45:56 +0200

hexer (1.0.5-1) unstable; urgency=medium

  * Use my Debian e-mail address in the copyright file, too.
  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    release notes (CHANGES) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * New upstream release.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 02:36:20 +0200
