=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
-Build-Depends: debhelper-compat (= 11), libncurses-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), libncurses-dev
+Standards-Version: 4.3.0
 Homepage: https://devel.ringlet.net/editors/hexer/
-Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian
-Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian
+Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian/master
+Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian/master
 Rules-Requires-Root: no
 
 Package: hexer
