=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,9 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1
 
+override_dh_installchangelogs:
+	dh_installchangelogs -X CHANGES
+	install -m 644 CHANGES debian/hexer/usr/share/doc/hexer/NEWS
+
 %:
 	dh $@
