=== debian/changelog ===
hexer (1.0.6-2) unstable; urgency=medium

  * Drop the gcc B-D that I added as a reminder that --as-needed is
    now the default; it may cause problems for porting and cross-building.
  * Declare compliance with Debian Policy 4.7.0 with no changes.
  * Add the years 2021 and 2024 to my debian/* copyright notice.
  * Explicitly specify dh-sequence-single-binary.
  * Add a simplified version of the upstream test suite, both
    at build time and as an autopkgtest.
  * Switch to debhelper compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.
  * Use dpkg-build-api v1, buildtools.mk is included automatically.
  * Use dh-package-notes to record ELF metadata.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Sat, 14 Dec 2024 15:34:50 +0200

hexer (1.0.6-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Bump the debhelper compat level to 13 with no changes.
  * Drop the "Name" and "Contact" upstream metadata fields.
  * Drop the linker's --as-needed flag, the GCC package in bullseye
    enables it by default. Just in case, add a recent version of
    "gcc" to the build dependencies so this is not forgotten in
    e.g. a backport.
  * New upstream version:
    - fixes the build with GCC 10
    - fixes some compiler warnings

 -- Peter Pentchev <roam@debian.org>  Fri, 24 Apr 2020 12:57:43 +0300
