=== debian/control ===
Source: hexer
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 libncurses-dev,
 python3-libtmux <!nocheck>,
 python3-pytest <!nocheck>,
 python3:any <!nocheck>,
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/editors/hexer/
Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian/master
Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian/master
X-Style: black

Package: hexer
Architecture: any
Multi-Arch: foreign
Description: interactive binary editor with a Vi-like interface
 Hexer is an interactive binary editor (also known as a hexeditor)
 with a Vi-like interface.  Its most important features are
 multiple buffers, multi-level undo, command-line editing with
 completion, and binary regular expressions.
