=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 # debhelper rules file for hexer.
 
--include /usr/share/dpkg/buildtools.mk
-export CC_FOR_BUILD ?= cc
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
@@ -16,11 +17,11 @@
 DEB_CPPFLAGS_MAINT_APPEND=	-DHE_DEFAULT_PAGER=\"pager\"
 export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
-DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
-export DEB_LDFLAGS_MAINT_APPEND
+override_dh_auto_test:
+	env HEXER_PROG='${CURDIR}/hexer' python3 -m pytest -vv -- debian/tests/python/tests/unit
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1
+	dh_auto_install --destdir '${CURDIR}/debian/hexer' -- PREFIX=/usr MANDIR=/usr/share/man/man1
 
 override_dh_installchangelogs:
 	dh_installchangelogs -X CHANGES
