=== debian/tests/control ===
Test-Command: python3 -m pytest -vv -- debian/tests/python/tests/unit
Depends:
 python3-libtmux,
 python3-pytest,
 python3:any,
 @,
Features:
 test-name=pytest,
Restrictions:
 allow-stderr,
