=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.rc/~rc/ \
https://devel.ringlet.net/editors/hexer/ https://devel.ringlet.net/files/editors/hexer/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
