## hexer 1.0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-#  Makefile for hexer version 1.0.6
+#  Makefile for hexer version 1.0.7
 
-#  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014 - 2016, 2018, 2020 Peter Pentchev
+#  SPDX-FileCopyrightText: 1995,1996 Sascha Demetrio
+#  SPDX-FileCopyrightText: 2009 - 2011, 2014 - 2016, 2018, 2020 Peter Pentchev
+#  SPDX-License-Identifier: BSD-3-Clause
 
 #  It might be helpful to read the `README'-file first.
 
@@ -11,6 +12,7 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/man/man1
+DOCSDIR ?= $(PREFIX)/share/doc/hexer
 
 #  -- Which terminal library? --
 #  (It's probably save to leave the following lines unchanged.)
@@ -24,14 +26,19 @@
 CPPFLAGS_STD ?= -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 \
 		-D_FILE_OFFSET_BITS=64
 
+# Tell the compiler that hexer uses C99 language features.
+# This is a GCC-specific option; adjust it for the compiler used if needed.
+CFLAGS_STD ?=	-std=c99
+
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.6\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.7\"
 
 #  -- Which compiler? --
 CC ?= cc
 CC_FOR_BUILD ?= $(CC)
 CFLAGS ?= -O
+CFLAGS += ${CFLAGS_STD}
 LDFLAGS ?=
 LDLIBS = $(LTERMCAP) -lm
 #
@@ -147,9 +154,10 @@
 	rm -f depend
 
 install: all
-	$(MKDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)
+	$(MKDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(DOCSDIR)/md
 	$(INSTALLBIN) $(HEXER) $(DESTDIR)$(BINDIR)
 	$(INSTALLMAN) $(HEXER).1 $(DESTDIR)$(MANDIR)
+	$(INSTALLMAN) docs/*.md $(DESTDIR)$(DOCSDIR)/md
 	[ ! -f $(MYC) ] || $(INSTALLBIN) $(MYC) $(DESTDIR)$(BINDIR)
 	[ ! -f $(MYC) ] || $(INSTALLMAN) $(MYC).1 $(DESTDIR)$(MANDIR)
