=== debian/changelog ===
hexer (1.0.7-1) unstable; urgency=medium

  * Update debian/watch for the new upstream download page.
  * Declare compliance with Policy 4.7.2 with no changes.
  * Add the year 2025 to my debian/* copyright notice.
  * New upstream release:
    - the upstream changelog moved to docs/changes.md
    - upstream adopted the Python testsuite, but changed the default value for
      the `hexer` executable to `./hexer`; override it in the autopkgtest
    - upstream added some basic MkDocs documentation; install it
  * Convert the watch file to version 5 of the format.

 -- Peter Pentchev <roam@debian.org>  Mon, 22 Sep 2025 15:35:21 +0300
