=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-libtmux <!nocheck>,
  python3-pytest <!nocheck>,
  python3:any <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/editors/hexer/
 Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian/master
