=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,14 @@
 export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
 override_dh_auto_test:
-	env HEXER_PROG='${CURDIR}/hexer' python3 -m pytest -vv -- debian/tests/python/tests/unit
+	env HEXER_PROG='${CURDIR}/hexer' python3 -m pytest -vv -- python/tests/unit
 
 override_dh_auto_install:
-	dh_auto_install --destdir '${CURDIR}/debian/hexer' -- PREFIX=/usr MANDIR=/usr/share/man/man1
+	dh_auto_install --destdir '${CURDIR}/debian/hexer' -- PREFIX=/usr MANDIR=/usr/share/man/man1 DOCSDIR=/usr/share/doc/hexer
 
 override_dh_installchangelogs:
-	dh_installchangelogs -X CHANGES
-	install -m 644 CHANGES debian/hexer/usr/share/doc/hexer/NEWS
+	dh_installchangelogs -X changes.md
+	ln -s md/changes.md.gz debian/hexer/usr/share/doc/hexer/NEWS.gz
 
 %:
 	dh $@
