=== debian/tests/control ===
Test-Command: env HEXER_PROG=hexer python3 -m pytest -vv -- python/tests/unit
Depends:
 python3-libtmux,
 python3-pytest,
 python3:any,
 @,
Features:
 test-name=pytest,
Restrictions:
 allow-stderr,
