=== debian/watch ===
Version: 5

Source: https://devel.ringlet.net/editors/hexer/download/
Matching-Pattern: https://devel.ringlet.net/files/editors/hexer/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/\.rc/~rc/
Pgp-Sig-Url-Mangle: s/$/.asc/
